package com.ebaiyihui.family.doctor.common.vo.cloudHis;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author:lc
 * @Date:2024/03/25
 * @Description
 */
@Data
public class MakeAnAppointmentRequestVO {

    @ApiModelProperty(value = "id")
    private String id;

    /**
     * 手机号
     */
    @ApiModelProperty(value ="手机号")
    private String phone;


    /**
     * 性别1：男，2：女
     */
    @ApiModelProperty(value = "性别1：男，2：女")
    private String sex;

    /**
     * 出生日期
     */
    @ApiModelProperty(value = "出生日期")
    private String birthday;

    /**
     * 年龄
     */
    @ApiModelProperty(value = "年龄")
    private Integer age;

    /**
     * 患者档案表主键id
     */
    @ApiModelProperty(value ="患者id")
    private Integer patientId;

    /**
     * 患者档案表名称
     */
    @ApiModelProperty(value ="患者名称")
    private String patientName;

    /**
     * 患者证件号
     */
    @ApiModelProperty(value ="患者证件号")
    private String patientCardNo;

    /**
     * 病历号
     */
    @ApiModelProperty(value ="病历号")
    private String medicalRecordNo;

    /**
     * 候诊号
     */
    @ApiModelProperty(value ="候诊号")
    private Integer waitNo;

    /**
     * 门诊号
     */
    @ApiModelProperty(value ="门诊号")
    private String outpatientNo;

    /**
     * 门诊类型【1:普通门诊 2:专家门诊】
     */
    @ApiModelProperty(value ="门诊类型【1:普通门诊 2:专家门诊】")
    private String outpatientType;

    /**
     * 门诊类型【1:普通门诊 2:专家门诊】
     */
    @ApiModelProperty(value ="门诊类型名称")
    private String outpatientTypeName;

    /**
     * 就诊状态
     */
    @ApiModelProperty(value ="就诊状态")
    private Integer status;

    /**
     * 医保类型
     */
    @ApiModelProperty(value ="MedicalInsuranceTypeEnum")
    private String medicalType;

    /**
     * 医保门诊类型11：普通门诊14：门诊慢特病
     */
    @ApiModelProperty(value ="医保门诊类型")
    private String medicalOutpatientType;

    /**
     * 就诊医生
     */
    @ApiModelProperty(value ="就诊医生")
    private String doctorName;

    /**
     * 就诊医生
     */
    @ApiModelProperty(value ="就诊医生id")
    private String doctorId;

    @ApiModelProperty(value ="科室id")
    private String deptId;

    @ApiModelProperty(value ="科室名字")
    private String deptName;

    @ApiModelProperty(value ="登记时间")
    private String regTime;

    @ApiModelProperty(value = "诊断")
    private String diagnosis;

    /**
     * 慢病名
     */
    @ApiModelProperty(value = "慢病名")
    private String chronicDisease;

}
