package com.ebaiyihui.family.doctor.common.vo.cloudHis;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;


/**
 * 支付详情
 *
 * @author lc
 * @date 2024/04/02
 */
@Data
public class PayVo {
    @ApiModelProperty(value="创建时间")
    private Date createTime;


     @ApiModelProperty(value="支付单号")
    private String payOrderNo;

     @ApiModelProperty(value="支付订单描述")
    private String payOrderName;

    @ApiModelProperty(value="总金额")
    private BigDecimal amount;

    @ApiModelProperty(value="优惠金额")
    private BigDecimal actualPreferentialPayment;

    @ApiModelProperty(value="应付总金额")
    private BigDecimal totalAmount;

    @ApiModelProperty(value="实际支付金额")
    private BigDecimal actualPayment;

    @ApiModelProperty(value="退款金额")
    private BigDecimal refundAmount;

    @ApiModelProperty(value="支付状态 PaymentStatusEnum")
    private Integer paymentStatus;

    @ApiModelProperty(value="支付方式 PaymentMethodEnum")
    private Integer paymentMethod;

    @ApiModelProperty(value="支付类型 1.在线支付 2.线下支付")
    private Integer paymentType;

    @ApiModelProperty(value="备注")
    private String remark;

    @ApiModelProperty(value="姓名")
    private String name;

    @ApiModelProperty(value="交易单号")
    private String transactionNumber;

    @ApiModelProperty(value="操作类型[1.支付 2  退款]")
    private Integer operationType;

}
